Subject: [6lo] [6lowpan] Side note: draft-petrescu-ipv6-over-80211p-00.txt

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 07 Nov 2013 18:57:25 +0100

[sorry duplicate, corrected the destination address]

Hello 6lo-ers,

I would like to mention the existence of an IPv6-over-80211p document
that I co-author:

draft-petrescu-ipv6-over-80211p-00.txt
"Transmission of IPv6 Packets over IEEE 802.11p Networks"
A. Petrescu, R. Kuntz, P. Pfister, N. Benamar

It has received a number of comments from IEEE participants as well as
IETF participants.  But we still need a home for it.

The 802.11p link is related to constrained environments, in the following:
- a high mobility aspect as an inherent characteristic of
   vehicles
- onboard networks although not running 80211p themeselves, are
   typically connected to 80211p networks ran between vehicles, or
   between a vehicle and another fixed unit.

Without derailing WG focus, may I ask you to comment on this draft?

Alex

_______________________________________________
6lowpan mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/6lowpan

---

From: Brian Haberman <[email-masked]>
Date: Thu, 07 Nov 2013 13:08:16 -0500

Alex,
     Does your draft leverage the 6lowpan RFCs?  If not, I would suggest
talking to 6man.

Regards,
Brian

On 11/7/13 12:57 PM, Alexandru Petrescu wrote:
> 6lo mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/6lo

---

From: Ulrich Herberg <[email-masked]>
Date: Thu, 7 Nov 2013 10:33:16 -0800

Alex,

after a quick glance on your draft, it seems to me that you do not use
the 6lowpan adaptation layer, so it would be out of charter for 6lo
(but possibly in scope of 6man). The relevant part of our charter is:

1. IPv6-over-foo adaptation layer specifications using 6LoWPAN
technologies (RFC4944, RFC6282, RFC6775) for link layer technologies of
interest in constrained node networks

Regards
Ulrich

---

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 07 Nov 2013 19:35:04 +0100

Le 07/11/2013 19:08, Brian Haberman a écrit :
> Alex, Does your draft leverage the 6lowpan RFCs?  If not, I would
> suggest talking to 6man.

Hello Brian,

Yes, I will mention this draft to 6man, thanks for the suggestion.

No, this draft does not leverage 6lowpan RFCs.  (although links could be
found, such as IPv6-over-802154 RFC would supposedly run over a part of
an unknown Ethernet-80211 adaptation layer that IPv6-over-80211p draft
describes.)

Hello Ulrich,

Yes, the Charter says so.  Thanks for the clarification.

Alex

> Regards, Brian
>> I would like to mention the existence of an IPv6-over-80211p
>> document that I co-author:
>>
>> draft-petrescu-ipv6-over-80211p-00.txt "Transmission of IPv6
>> Packets over IEEE 802.11p Networks" A. Petrescu, R. Kuntz, P.
>> Pfister, N. Benamar
>>
>> It has received a number of comments from IEEE participants as well
>> as IETF participants.  But we still need a home for it.
>>
>> The 802.11p link is related to constrained environments, in the
>> following: - a high mobility aspect as an inherent characteristic
>> of vehicles - onboard networks although not running 80211p
>> themeselves, are typically connected to 80211p networks ran between
>> vehicles, or between a vehicle and another fixed unit.
>>
>> _______________________________________________ 6lowpan mailing
>> list [email-masked]
>> _______________________________________________ 6lo mailing list
>> [email-masked] https://www.ietf.org/mailman/listinfo/6lo
>
>
>
> _______________________________________________ 6lo mailing list
> [email-masked] https://www.ietf.org/mailman/listinfo/6lo
>

Subject: Re: [6lo] [6lowpan] Side note: draft-petrescu-ipv6-over-80211p-00.txt
From: Ulrich Herberg <[email-masked]>
To: Brian Haberman <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Thu, 7 Nov 2013 10:33:16 -0800
List-Id: "Mailing list for discussion of a WG for Internet Area issues in IPv6 over constrained node networks." <6lo.ietf.org>

Alex,

Regards
Ulrich